Bug 88064 - Mode "Adds selection" in statusbar Writer does not work properly
Summary: Mode "Adds selection" in statusbar Writer does not work properly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Statusbar
  Show dependency treegraph
 
Reported: 2015-01-05 19:07 UTC by Roman Kuznetsov
Modified: 2021-03-10 14:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2015-01-05 19:07:46 UTC
Version: 4.4.0.1.0+
ID build: 310c6e617f48ac94f2bd982b2dca6c05c06a2d51
TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-4, Time: 2015-01-04_20:52:31
Locale: ru_RU
OS: Windows 7 x86-64 ru

status bar in Writer, field "type of selection". select "add selection", in document selected many small pieces of text --> selection reset.
Comment 1 Cor Nouws 2015-01-05 20:37:49 UTC
Confirmed
Comment 2 Roman Kuznetsov 2015-03-17 19:33:31 UTC
in version 4.4.2.1 the error is still present
Comment 3 tommy27 2016-04-16 07:23:20 UTC Comment hidden (obsolete)
Comment 4 Roman Kuznetsov 2016-04-16 08:23:32 UTC
bug is reproduceed in

Version: 5.1.2.2 (x64)
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
Locale: ru-RU (ru_RU)
Comment 5 QA Administrators 2017-05-22 13:23:12 UTC Comment hidden (obsolete)
Comment 6 Cor Nouws 2017-08-14 06:48:21 UTC
In my Version: 6.0.0.0.alpha0+
Build ID: 368b583b992f2e9cad46c2362c9529a07c36d7a9
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-10_02:55:46
Locale: nl-NL (nl_NL.UTF-8); Calc: group

it behaves strange
Choose "Add selection" 
Select some text
look at control .. "Block selection"  active (or another, or Add selection..)
Comment 7 Roman Kuznetsov 2018-05-27 07:48:10 UTC
still repro in 6.1 beta 1
Comment 8 Roman Kuznetsov 2020-08-03 16:55:46 UTC
still repro in

Version: 7.1.0.0.alpha0+
Build ID: <buildversion>
CPU threads: 4; OS: Mac OS X 10.15.5; UI render: default; VCL: osx
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
Calc: threaded
Comment 9 Jim Raykowski 2021-03-04 00:24:40 UTC
I think this patch makes the add mode work as expected:
https://gerrit.libreoffice.org/c/core/+/111943
Comment 10 Commit Notification 2021-03-09 01:27:02 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a2f6b4e8995c149620db4fcfe7e355af4fbc869e

tdf#88064 In add mode don't change SetCursor and KillSel functions

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Roman Kuznetsov 2021-03-10 14:41:58 UTC
verified in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9d8accf03984a64a4105826e55b221962628eb93
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL

Thank you, Jim, for fixing